Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queries.function
Class ValueSourceScorer

    java.lang.Object
      org.apache.lucene.search.DocIdSetIterator
          org.apache.lucene.index.DocsEnum
              org.apache.lucene.search.Scorer
                  org.apache.lucene.queries.function.ValueSourceScorer

    public class ValueSourceScorer

extends Scorer

`Scorer` which returns the result of `FunctionValues.floatVal(int)` as the score for a document.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.Scorer
`Scorer.ChildScorer`

Field Summary
`protected boolean` | `checkDeletes`
`protected int` | `maxDoc`
`protected IndexReader` | `reader`
`protected FunctionValues` | `values`

Fields inherited from class org.apache.lucene.search.Scorer
`weight`

Fields inherited from class org.apache.lucene.index.DocsEnum
`FLAG_FREQS, FLAG_NONE`

Fields inherited from class org.apache.lucene.search.DocIdSetIterator
`NO_MORE_DOCS`

Constructor Summary
`protected` | `ValueSourceScorer(IndexReader reader, FunctionValues values)`

Method Summary
`int` | `advance(int target)`
`long` | `cost()`
`int` | `docID()`
`int` | `freq()`
`IndexReader` | `getReader()`
`boolean` | `matches(int doc)`
`boolean` | `matchesValue(int doc)`
`int` | `nextDoc()`
`float` | `score()`
`void` | `setCheckDeletes(boolean checkDeletes)`

Methods inherited from class org.apache.lucene.search.Scorer
`getChildren, getWeight, score, score`

Methods inherited from class org.apache.lucene.index.DocsEnum
`attributes`

Methods inherited from class org.apache.lucene.search.DocIdSetIterator
`slowAdvance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reader

    protected final IndexReader reader

### maxDoc

    protected final int maxDoc

### values

    protected final FunctionValues values

### checkDeletes

    protected boolean checkDeletes

Constructor Detail

### ValueSourceScorer

    protected ValueSourceScorer(IndexReader reader,
                                FunctionValues values)

Method Detail

### getReader

    public IndexReader getReader()

### setCheckDeletes

    public void setCheckDeletes(boolean checkDeletes)

### matches

    public boolean matches(int doc)

### matchesValue

    public boolean matchesValue(int doc)

### docID

    public int docID()

  Specified by:
    `docID` in class `DocIdSetIterator`

### nextDoc

    public int nextDoc()
                throws IOException

  Specified by:
    `nextDoc` in class `DocIdSetIterator`
  Throws:
    `IOException`

### advance

    public int advance(int target)
                throws IOException

  Specified by:
    `advance` in class `DocIdSetIterator`
  Throws:
    `IOException`

### score

    public float score()
                throws IOException

  Specified by:
    `score` in class `Scorer`
  Throws:
    `IOException`

### freq

    public int freq()
             throws IOException

  Specified by:
    `freq` in class `DocsEnum`
  Throws:
    `IOException`

### cost

    public long cost()

  Specified by:
    `cost` in class `DocIdSetIterator`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.